hi,

i have a bad mix in my sources with .16 and .18 versions ok kernel :

:~> ls -l /usr/src
total 16
lrwxrwxrwx 1 root root 19 oct. 17 12:28 linux -> linux-2.6.25.18-0.1
drwxr-xr-x 3 root root 4096 sept. 11 16:45 linux-2.6.25.16-0.1-obj
drwxr-xr-x 22 root root 4096 oct. 17 12:28 linux-2.6.25.18-0.1
drwxr-xr-x 3 root root 4096 oct. 17 12:27 linux-2.6.25.18-0.1-obj
lrwxrwxrwx 1 root root 23 oct. 17 12:28 linux-obj -> linux-2.6.25.18-0.1-obj
drwxr-xr-x 7 root root 4096 juin 10 14:14 packages


fabrice@linux-p5b5:~> uname -r
2.6.25.16-0.1-pae


here are my repositories :
# zypper lr
# | Alias | Nom | Activé | Rafraîchir
---+--------------------------------------------------------------------------------------+----------------------------------------------------------------------------+--------+-----------
1 | KDE:Qt | KDE:Qt | Oui | Non
2 | Index of /repositories/GNOME:/Community/openSUSE_11.0 | openSUSE BuildService - GNOME:Community | Oui | Oui
3 | http://download.nvidia.com/opensuse/11.0 | NVIDIA Repository | Oui | Oui
4 | Index of /repositories/drivers:/webcam/openSUSE_11.0_Update | openSUSE BuildService - Pilotes pour webcams | Oui | Oui
5 | Index of /repositories/X11:/XGL/openSUSE_11.0 | openSUSE BuildService - X11GL | Oui | Oui
6 | Main Repository (OSS) | Main Repository (OSS) | Oui | Oui
7 | Index of /repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.0 | openSUSE BuildService - KDE4:Factoryesktop | Oui | Oui
8 | openSUSE-11.0-Updates | openSUSE-11.0-Updates | Oui | Oui
9 | Opera_http://download.opensuse.org/repositories/home:/lmich/openSUSE_11.0/ | Opera_http://download.opensuse.org/repositories/home:/lmich/openSUSE_11.0/ | Oui | Non
10 | Index of /repositories/Emulators:/Wine/openSUSE_11.0 | openSUSE BuildService - Wine CVS Builds | Oui | Oui
11 | Index of /repositories/KDE:/Community/openSUSE_11.0 | openSUSE BuildService - KDE:Community | Oui | Oui
12 | Index of /repositories/KDE:/Backports/openSUSE_11.0 | openSUSE BuildService - KDE:Backports | Oui | Oui
13 | Index of /repositories/mozilla/openSUSE_11.0 | openSUSE BuildService - Mozilla | Oui | Oui
14 | Index of /repositories/OpenOffice.org:/STABLE/openSUSE_11.0 | openSUSE BuildService - OpenOffice.org | Oui | Oui
15 | rpm | rpm | Oui | Oui
16 | Index of /repositories/X11:/xfce/openSUSE_11.0 | openSUSE BuildService - XFCE | Oui | Oui
17 | Index of /pub/videolan/vlc/SuSE/11.0/ | VideoLan Repository | Non | Oui
18 | Index of /repositories/GNOME:/STABLE/openSUSE_11.0 | openSUSE BuildService - GNOME:STABLE | Oui | Oui
19 | Main Repository (NON-OSS) | Main Repository (NON-OSS) | Oui | Oui
20 | kde4_extra_apps | kde4_extra_apps | Oui | Oui
21 | kde4_community | kde4_community | Oui | Oui
22 | Index of /pub/packman/suse/11.0 | Packman Repository | Oui | Oui
23 | Enlightenment17 | Enlightenment17 | Oui | Oui
24 | Index of /repositories/Virtualization:/VirtualBox/openSUSE_11.0 | openSUSE BuildService - Virtualisation (VirtualBox) | Oui | Oui
25 | Index of /repositories/Virtualization:/Qemu/openSUSE_11.0 | openSUSE BuildService - Virtualisation (QEMU) | Oui | Oui
26 | openSUSE_11.0 | openSUSE_11.0 | Oui | Oui
27 | http://www.opensuse-education.org/do.../repo/1.0/11.0 | openSUSE Education | Non | Oui
28 | openSUSE-DVD 11.0 | openSUSE-DVD 11.0 | Non | Non
29 | Index of /repositories/games/openSUSE_11.0 | openSUSE BuildService - Games | Oui | Oui



can you please tell me how i can add a repo enabling kernel 2.6.25.18-0.1 ? (kernel, kernel-pae, kernel-source, headers ...) Thanks

i don't have any of these in yast , nor in zypper :



# zypper in kernel kernel-pae kernel-source linux-kernel-headers
Lecture des paquets installés...
'kernel-pae' fournissant 'kernel' est déjà installé.
'kernel-pae' est déjà installé.
'linux-kernel-headers' est déjà installé.

Problème: rien ne fournit kernel-source > 2.6.25.18-0.1 qui est requis (nothing supplies for this version of kernel source, which is needed)

Have you enabled all requested repositories ?
Solution 1: Ne pas demander d'installer un élément fournissant kernel-source > 2.6.25.18-0.1
(do not install soft using kernel-source > 2.6.25.18-0.1)

Choisissez la solution ci-dessus en utilisant '1' ou annulez en utilisant 'a'
(choose solution 1 or cancel )

can you please tell me how i can add a repo enabling kernel 2.6.25.18-0.1 ? (kernel, kernel-pae, kernel-source, headers ...) Thanks